.cabecalho {
    background-size: cover;
    background-position: center;
    z-index: 5;
    position: relative;
    /*height: 720px;*/
    min-height: 100vh;
}

.cabecalho::before {
    content: "";
    display: block;
    width: 100%;
    height: 300px;
    position: absolute;
    left: 0;
    top: 0;
    background: rgba(0, 0, 0, 0.8);
    background: -moz-linear-gradient(top, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 100%);
    background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(0, 0, 0, 0.8)), color-stop(100%, rgba(0, 0, 0, 0)));
    background: -webkit-linear-gradient(top, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 100%);
    background: -o-linear-gradient(top, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 100%);
    background: -ms-linear-gradient(top, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 100%);
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 100%);
    z-index: 3;
}

.divPrincipal {
    display: flex;
    background-color: #FFF;
    border-radius: 8px;
    gap: 10px;
    padding: 15px;
}

.divPretensaoTipoImovelPesquisar {
    display: flex;
    width: 100%;
    gap: 10px;
}

.divPretensaoTipoImovel {
    display: flex;
    gap: 10px;
}

.divFiltro {
    z-index: 4;
    position: relative;
    min-height: 39rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.widthCampoFiltro {
    width: 13rem;
    flex: 1 1 0;
    border: 1px solid #D8D8D8;
    border-radius: 8px;

}

.widthCampoFiltro:hover {
    border-color: #1a1a1a;
}

.heightCampoFiltro {
    display: flex;
    align-items: center;
}

.tituloPretensao {
    color: #808080;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: hidden;
    transition: all 0.166s;
    font-size: 12px;
}

.tituloTipoImovel {
    color: #808080;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: hidden;
    transition: all 0.166s;
}

.ulOpcoes {
    position: absolute;
    top: 4rem;
    bottom: auto;
    width: auto;
    min-height: auto;
    min-width: 17.5rem;
    max-height: 20rem;
    border-radius: 0.5rem;
    list-style: none;
    display: none;
    background-color: #FFF;
    margin: 0;
    padding: 0.5rem 0;
    border: 1px solid #d8d8d8;
    background-color: #fff;
    box-shadow: 0 0 0.125rem rgba(26, 26, 26, 0.15), 0 0 1.5rem rgba(26, 26, 26, 0.2);
    overflow-y: auto;
    z-index: 999999;
    overscroll-behavior: contain;
}

.abrirOpcoes {
    display: block !important;
}

@media screen and (min-width: 999px) {
    .opcaoTitulo {
        display: none;
    }
}

.opcaoTitulo {
    font-size: 1.25rem;
    font-weight: 600;
    padding: 0.75rem 1.5rem;
}

.opcaoLista {
    display: list-item;
    unicode-bidi: isolate;
    padding: 0.75rem 1.5rem;
    font-weight: 500;
    cursor: pointer;
}

.opcaoLista:hover,
.opcaoListaAtivo {
    background-color: rgba(0, 0, 0, 0.15);
}

.opcaoSizeCheckbox {
    width: 1.5rem;
    height: 1.5rem;
}

.opcaoChecked {
    background-color: var(--color-1) !important;
    border-color: var(--color-1) !important;
}

.opcaoCheckbox {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #808080;
    border-radius: 0.5rem;
    background-color: transparent;
    margin-bottom: 0;
    margin-right: 1rem;
    cursor: pointer;
    transition: background-color 167ms;
}

.opcaoLabel {
    cursor: pointer;
    margin-bottom: 0px;
}

.opcaoGrupo {
    padding: 0.75rem 1.5rem;
    font-weight: 600;
    color: #808080;
}

.opcaoCheckboxSVG {
    display: none;
}

.opcaoChecked .opcaoCheckboxSVG {
    display: block !important;
    color: #FFF;
}

.campoTipoImovelValue {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: hidden;
}

.btnEncontrarImovel {
    font-size: 1rem;
    margin: 0;
    border-radius: 0.75rem;
    width: 12.5rem;
    border-color: #030303;
    background-color: #030303;
    color: #fff;
    display: inline-block;
    padding: .25rem .75rem;
    border: 1px solid transparent;
    height: 64px;
    cursor: pointer;
}

.inputPesquisar {
    border: none;
    box-shadow: none;
    padding: 0.80rem 0.75rem;
    font-size: 14px;
    line-height: 1.5;
    color: #3d3d3d;
    transform: translateZ(0);
    display: block;
    width: 100%;
    background-color: #fff;
    background-image: none;
    background-clip: padding-box;
    border-radius: 0.25rem;
    margin: 0px;
}

.inputPesquisar:focus {
    color: #55595c;
    border-color: #66afe9;
    outline: 0;
}

.resultadoPesquisar {
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    background-clip: padding-box;
    background-color: #ffffff;
    border-radius: 4px;
    border: 1px solid #cccccc;
    border: 1px solid rgba(0, 0, 0, 0.15);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    display: none;
    float: left;
    font-size: 14px;
    left: 0;
    list-style: none;
    margin: 2px 0 0;
    min-width: 160px;
    padding: 5px 0;
    position: absolute;
    text-align: left;
    top: 100%;
    width: 100%;
    z-index: 1000;
    overflow: auto;
    max-height: 300px;
}

.resultadoPesquisarTitulo {
    margin: 0;
    padding: 12px 0 5px 13px;
    font-size: 12px;
    color: #999;
    margin: 10px 0 5px 12px;
    text-transform: uppercase;
}

.resultadoPesquisarOpcoes {
    display: block;
    padding: 7px 20px;
    clear: both;
    font-weight: normal;
    line-height: 1.42857143;
    color: #333333;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    cursor: default;
    font-size: 14px;
    border: none;
    width: 100%;
    margin: 0;
    float: left;
    text-align: left;
    background-color: #FFF;
}

.resultadoPesquisarOpcoes:hover {
    color: #fff;
    text-decoration: none;
    outline: 0;
    background-color: #030303;
}

@media screen and (min-width: 999px) {
    .flex-grow {
        flex-grow: 1;
    }
}

.divBuscarPorCodigo {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.btnBuscarPorCodigo {
    display: inline-block;
    background-color: rgba(255, 255, 255, 0.65);
    border-radius: 0.75rem;
    padding: .25rem .75rem;
    margin: .5rem;
    border: 1px solid #bfc2c7;
    color: #333a44;
}

.btnBuscarPorCodigo:hover {
    background-color: #fff;
    cursor: pointer;
    color: #333a44;
}

/*
  HOME - RESPONSIVIDADE
  */

@media screen and (max-width: 999px) {
    .cabecalho {
        height: auto;
        padding-bottom: 30px;
    }

    .divFiltro {
        min-height: auto;
    }

    .divPrincipal {
        flex-direction: column;
        min-width: auto;
        background-color: transparent;
        align-items: center;
        padding: 15px 0px;
    }

    .divPretensaoTipoImovelPesquisar {
        flex-direction: column;
    }

    .divPretensaoTipoImovel {
        flex-direction: column;
    }

    .widthCampoFiltro {
        width: 100%;
        background-color: #FFF;
    }

    .ulOpcoes {
        width: 100%;
    }

    .---ulOpcoes {
        display: none;
        position: fixed;
        left: 0;
        bottom: 6rem;
        width: 100vw;
        border-radius: 1.25rem 1.25rem 0 0;
        max-height: 50vh;
        margin: 0;
        padding: 0.5rem 0;
        list-style: none;
        border: 1px solid #d8d8d8;
        background-color: #fff;
        box-shadow: 0 0 0.125rem rgba(26, 26, 26, 0.15), 0 0 1.5rem rgba(26, 26, 26, 0.2);
        overflow-y: auto;
        z-index: 999999;
        overscroll-behavior: contain;
    }

    .divAplicar {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 6rem;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 999999;
        background-color: #fff;
    }

    .btnAplicar {
        width: 100%;
        padding: 0.75rem 0;
        margin: 0 2rem;
        border-radius: 0.75rem;
        border-color: #030303;
        background-color: #030303;
        color: #fff;
        display: inline-block;
        font-weight: 400;
        line-height: 1.25;
        text-align: center;
        white-space: nowrap;
        vertical-align: middle;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        border: 1px solid transparent;
        font-size: 1rem;
    }

    .btnEncontrarImovel {
        width: 100%;
        height: 45px;
    }

}